<mat-horizontal-stepper [linear]="isLinear" #stepper class="full-width-table blvss-container full-width-table-md full-width-table-xs">
    <!-- change default 'edit' icon -->
    <ng-template matStepperIcon="edit">
        <mat-icon>done</mat-icon>
    </ng-template>
    


<div>


    <mat-step  >

            <ng-template matStepLabel>Choose VS blueprint</ng-template>
            <table class="rules-full-width" cellspacing="0" fxFlex="100%"  fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" style="text-align: center;">
                <tr fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" style="width: 100%;">
                    <td style="min-width: 80%;">
        
                        <mat-form-field appearance="outline" class="rules-full-width">
                            <mat-label>Blueprint Id</mat-label>
                            <mat-select (selectionChange)="vsbSelected($event);">
                                <mat-option *ngFor="let df of vsbList" [value]="df.verticalServiceBlueprintId">
                                    {{df.name}}
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
        
                       
        
                    </td>
                </tr>

        
                <tr style="min-width: 85%;">
                    <!-- <td style="float: right;">
                        <span >
                           <button mat-raised-button color="accent" class="margin-all submitBtn" (click)="submitOnboarding();" [disabled]="false">Submit</button>
                        </span>
                    </td> -->
                    <div class="margin-top">
                        <button mat-raised-button matStepperNext class="margin-all nextBtn" [disabled]="!onboardReady" id="firstNext">Next
                             <i class="fa fa-angle-right " aria-hidden="true"></i> </button>
                    </div>
                </tr>
        
            </table>

    </mat-step>

    

    <mat-step  >

        <form [formGroup]="onboardFormGroup" class="rules-form" fxFlex="100%"  fxLayout.xs="column" fxLayout="column"  style="width: 100%;">
            <ng-template matStepLabel>Create VSD</ng-template>
            <table class="rules-full-width" cellspacing="0" fxFlex="100%"  fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" style="text-align: center;">
                <tr fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" style="width: 100%;">
                    <td style="min-width: 80%;">
        
                        <!-- <mat-form-field appearance="outline" class="rules-full-width">
                            <mat-label>Blueprint Id</mat-label>
                            <mat-select (selectionChange)="vsbSelected($event);">
                                <mat-option *ngFor="let df of vsbList" [value]="df.verticalServiceBlueprintId">
                                    {{df.verticalServiceBlueprintId}}
                                </mat-option>
                            </mat-select>
                        </mat-form-field> -->
        
                        <ng-container *ngIf="onboardReady" >
                            <mat-form-field appearance="outline" color=primary class="rules-full-width">
                                <mat-label>Name</mat-label>
                                <input matInput id="nsdId" placeholder="Name" required formControlName="name">
                            </mat-form-field>
            
                            <mat-form-field appearance="outline" color=primary class="rules-full-width">
                                <mat-label>Version</mat-label>
                                <input matInput id="nsdVersion" placeholder="Version" required formControlName="version">
                            </mat-form-field>
            
                            <mat-form-field appearance="outline" class="rules-full-width">
                                <mat-label>Access Level</mat-label>
                                <mat-select formControlName="accessLevel" name="accessLevel" >
                                    <mat-option *ngFor="let df of accessLevels" [value]="df">
                                        {{df}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </ng-container>
                        
        
                    </td>
                </tr>

                <tr *ngIf="onboardReady" fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" style="width: 100%;">
                    <!-- <h4>Parameters</h4> -->
                    <div class="newParamContainer">
                        <h4>Parameters</h4>
                    </div>
                    <div formArrayName="items" *ngFor="let item of onboardFormGroup.get('items')?.controls; let i=index;" fxFlex="100%"  fxLayout.xs="row" fxLayout="row" fxLayoutAlign="center center">
                        <div [formGroupName]="i" fxFlex="100%"  fxLayout.xs="column" fxLayout="row" fxLayoutAlign="center center">

                            <td fxFlex="100%"  fxLayout.xs="column" fxLayout="row" fxLayoutAlign="center center">
                                <label style="color: black;">{{this.pramNames[i]}}:</label>
                            </td>
                            
                            <td fxFlex="100%"  fxLayout.xs="column" fxLayout="row" fxLayoutAlign="center center">
                                <mat-form-field appearance="outline" color=primary class="rules-full-width">
                                    <input matInput placeholder="Value" required formControlName="minValue">
                                </mat-form-field>
                            </td>
                            <!-- <td fxFlex="100%"  fxLayout.xs="column" fxLayout="row" fxLayoutAlign="center center">
                                <mat-form-field appearance="outline" color=primary class="rules-full-width">
                                    <input matInput placeholder="Max Value" required formControlName="maxValue">
                                </mat-form-field>
                            </td> -->
                        </div>
                    </div>
                </tr>
        
                <tr *ngIf="onboardReady" style="min-width: 85%;">
                    

                    <td style="float: left;">
                        <span >
                            <button mat-raised-button matStepperPrevious color="primary" class="margin-all backBtn">
                                <i class="fa fa-angle-left " aria-hidden="true"></i>
                                Back</button>
                        </span>
                    </td>

                    <td style="float: right;">
                        <span >
                           <button mat-raised-button color="accent" class="margin-all submitBtn" (click)="submitOnboarding();" [disabled]="!onboardFormGroup.valid">Submit</button>
                        </span>
                    </td>
                </tr>
        
            </table>
        </form>

    </mat-step>
</div>


</mat-horizontal-stepper>
